## org.apache.lucene.facet.index.streaming
Class CategoryListTokenizer

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.facet.index.streaming.CategoryTokenizerBase
                      org.apache.lucene.facet.index.streaming.CategoryListTokenizer

All Implemented Interfaces:
  Closeable

Direct Known Subclasses:
  AssociationListTokenizer, CountingListTokenizer

    public abstract class CategoryListTokenizer

extends CategoryTokenizerBase

A base class for category list tokenizers, which add category list tokens to category streams.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.facet.index.streaming.CategoryTokenizerBase
`categoryAttribute, indexingParams, payload, payloadAttribute, termAttribute`

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`CategoryListTokenizer(org.apache.lucene.analysis.TokenStream input, FacetIndexingParams indexingParams)`

Method Summary
`protected void` `handleEndOfInput()` A method invoked once when the input stream ends, for subclass-specific processing.
`protected void` `handleStartOfInput()` A method invoked once when the input stream begins, for subclass-specific processing.
`abstract boolean` `incrementToken()`
`void` `reset()`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CategoryListTokenizer

    public CategoryListTokenizer(org.apache.lucene.analysis.TokenStream input,
                                 FacetIndexingParams indexingParams)

See Also:
  `CategoryTokenizerBase.CategoryTokenizerBase(TokenStream, FacetIndexingParams)`

Method Detail

### handleStartOfInput

    protected void handleStartOfInput()
                               throws IOException

  A method invoked once when the input stream begins, for subclass-specific processing. Subclass implementations must invoke this one, too!

  Throws:
    `IOException`

### handleEndOfInput

    protected void handleEndOfInput()
                             throws IOException

  A method invoked once when the input stream ends, for subclass-specific processing.

  Throws:
    `IOException`

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `org.apache.lucene.analysis.TokenFilter`
  Throws:
    `IOException`

### incrementToken

    public abstract boolean incrementToken()
                                    throws IOException

  Specified by:
    `incrementToken` in class `CategoryTokenizerBase`
  Throws:
    `IOException`